function [re n1diff objbpdn resdiff] = ...
    mqinterface(b, A, x, xo, n2e, itr, nMat, cput, tau)

% Measure the quality of the reconstructed solution x.
[n1x,rs,res,n1xo,re] = soleval(A,b,x,xo);

% The next three variable are only needed, when mqinterface is called for 
% mfipm.

% Calculate the absolute difference of the l1-norms.
n1diff = abs(n1x-n1xo);

% Calculate the value of the objective function.
objbpdn = tau*n1x + 0.5*res^2;

% Calculate the difference of the residual from the minimum residual.
resdiff = abs(res - n2e);

% Print the results.
fprintf(['%5s | %5s | %8s  |  %12s | %10s    | %5s   |     %5s',...
         '     | %5s   | %5s \n'], 'Itr', '||xo||_1', '||x||_1',...
         '||x-xo||/||xo||', 'Rel res', '   ||Ax-b||', '||e||'  ,...
         'nMat', 'CPU');
        
fprintf(['%5d | %1.2e | %1.3e |   %1.7e  | %1.7e | %1.7e | %1.7e',...
         ' | %5d   | %1.2e \n'], itr,n1xo,n1x,re,rs,res,n2e,nMat,cput);
  
end